Subject: Re: [bitcoin-dev] Draft BIP : fixed-schedule block size increase

From: Tier Nolan <[email-masked]>
Date: Mon, 22 Jun 2015 22:48:01 +0100

On Mon, Jun 22, 2015 at 10:21 PM, Gavin Andresen <[email-masked]>
wrote:

> That complicates the implementation quite a bit.
>

I think trying to keep the number of rules that require context to a
minimum is a good idea.  As pointed out in the BIP, using only the
timestamp of the block means that the block limit can be determined purely
from the block header.

I don't think there is much issue with having a 1MB block following an 8MB
block during the activation.

This is inherent in using the timestamps.  It occurs for every block that
has a timestamp lower than its parent, but to a lesser degree.

When fees are the main source of income, it does create a slight incentive
to use higher timestamps, but that is probably not massive, since it is 2
hours out of the 2 year doubling time.